# Uses of Class
org.apache.avro.SchemaBuilder.DoubleDefault

Packages that use SchemaBuilder.DoubleDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.DoubleDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.DoubleDefault
Modifier and Type
Method
Description
`final SchemaBuilder.DoubleDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`doubleType()`
A plain double type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.DoubleDefault
Modifier and Type
Method
Description
`final SchemaBuilder.DoubleBuilder<SchemaBuilder.DoubleDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`doubleBuilder()`
Build a double type that can set custom properties.
`SchemaBuilder.DoubleBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.DoubleDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`doubleBuilder()`
Build a double type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.DoubleDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`doubleType()`
A plain double type without custom properties.